# Class RestoreAccountRequest

#### Hierarchy

- unknown
  - RestoreAccountRequest

- Defined in src/protobuf/grpc_pb.d.ts:360
- Defined in src/protobuf/grpc_pb.d.ts:383

#####
Index

### Constructors

constructor

### Methods

getHasMore
getOffset
getTotalLength
getZipBytes
getZipBytes_asB64
getZipBytes_asU8
serializeBinary
setHasMore
setOffset
setTotalLength
setZipBytes
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new RestoreAccountRequest(): RestoreAccountRequest

- #### Returns RestoreAccountRequest

  Inherited from jspb.Message.constructor

## Methods

### getHasMore

- getHasMore(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:372

### getOffset

- getOffset(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:366

### getTotalLength

- getTotalLength(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:369

### getZipBytes

- getZipBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:361

### getZipBytes_asB64

- getZipBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:363

### getZipBytes_asU8

- getZipBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:362

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:375

### setHasMore

- setHasMore(value: boolean): RestoreAccountRequest

- #### Parameters

  - ##### value: boolean

  #### Returns RestoreAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:373

### setOffset

- setOffset(value: number): RestoreAccountRequest

- #### Parameters

  - ##### value: number

  #### Returns RestoreAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:367

### setTotalLength

- setTotalLength(value: number): RestoreAccountRequest

- #### Parameters

  - ##### value: number

  #### Returns RestoreAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:370

### setZipBytes

- setZipBytes(value: string | Uint8Array): RestoreAccountRequest

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns RestoreAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:364

### toObject

- toObject(includeInstance?: boolean): RestoreAccountRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns RestoreAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:376

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): RestoreAccountRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns RestoreAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:379

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: RestoreAccountRequest, reader: BinaryReader): RestoreAccountRequest

- #### Parameters

  - ##### message: RestoreAccountRequest

  - ##### reader: BinaryReader

  #### Returns RestoreAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:380

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: RestoreAccountRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: RestoreAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:378

### `Static` toObject

- toObject(includeInstance: boolean, msg: RestoreAccountRequest): RestoreAccountRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: RestoreAccountRequest

  #### Returns RestoreAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:377

Generated using TypeDoc